IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/19
Addresses2^109
/64 networks2^45
- Network
ffef::/19- First address
ffef::- Last address
ffef:1fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 649,037,107,316,853,453,566,312,041,152,512 (2^109)
- /64 networks (LANs)
- 35,184,372,088,832 (2^45)
- Full form
ffef:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zones
0.f.e.f.f.ip6.arpa1.f.e.f.f.ip6.arpa
/19 is not on a 4-bit boundary, so it takes 2 /20 zones.
Split into smaller subnets
ffef::/19 makes 512 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ffef::/28 | ffef:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ffef:10::/28 | ffef:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ffef:20::/28 | ffef:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ffef:30::/28 | ffef:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ffef:40::/28 | ffef:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ffef:50::/28 | ffef:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ffef:60::/28 | ffef:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ffef:70::/28 | ffef:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ffef:80::/28 | ffef:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ffef:90::/28 | ffef:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ffef:a0::/28 | ffef:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ffef:b0::/28 | ffef:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ffef:c0::/28 | ffef:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ffef:d0::/28 | ffef:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ffef:e0::/28 | ffef:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ffef:f0::/28 | ffef:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ffef:100::/28 | ffef:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ffef:110::/28 | ffef:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ffef:120::/28 | ffef:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ffef:130::/28 | ffef:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ffef:140::/28 | ffef:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ffef:150::/28 | ffef:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ffef:160::/28 | ffef:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ffef:170::/28 | ffef:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ffef:180::/28 | ffef:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ffef:190::/28 | ffef:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ffef:1a0::/28 | ffef:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ffef:1b0::/28 | ffef:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ffef:1c0::/28 | ffef:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ffef:1d0::/28 | ffef:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ffef:1e0::/28 | ffef:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ffef:1f0::/28 | ffef:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ffef:200::/28 | ffef:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ffef:210::/28 | ffef:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ffef:220::/28 | ffef:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ffef:230::/28 | ffef:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ffef:240::/28 | ffef:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ffef:250::/28 | ffef:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ffef:260::/28 | ffef:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ffef:270::/28 | ffef:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ffef:280::/28 | ffef:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ffef:290::/28 | ffef:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ffef:2a0::/28 | ffef:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ffef:2b0::/28 | ffef:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ffef:2c0::/28 | ffef:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ffef:2d0::/28 | ffef:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ffef:2e0::/28 | ffef:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ffef:2f0::/28 | ffef:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ffef:300::/28 | ffef:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ffef:310::/28 | ffef:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ffef:320::/28 | ffef:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ffef:330::/28 | ffef:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ffef:340::/28 | ffef:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ffef:350::/28 | ffef:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ffef:360::/28 | ffef:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ffef:370::/28 | ffef:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ffef:380::/28 | ffef:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ffef:390::/28 | ffef:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ffef:3a0::/28 | ffef:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ffef:3b0::/28 | ffef:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ffef:3c0::/28 | ffef:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ffef:3d0::/28 | ffef:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ffef:3e0::/28 | ffef:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ffef:3f0::/28 | ffef:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ffef:400::/28 | ffef:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ffef:410::/28 | ffef:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ffef:420::/28 | ffef:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ffef:430::/28 | ffef:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ffef:440::/28 | ffef:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ffef:450::/28 | ffef:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ffef:460::/28 | ffef:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ffef:470::/28 | ffef:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ffef:480::/28 | ffef:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ffef:490::/28 | ffef:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ffef:4a0::/28 | ffef:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ffef:4b0::/28 | ffef:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ffef:4c0::/28 | ffef:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ffef:4d0::/28 | ffef:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ffef:4e0::/28 | ffef:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ffef:4f0::/28 | ffef:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ffef:500::/28 | ffef:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ffef:510::/28 | ffef:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ffef:520::/28 | ffef:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ffef:530::/28 | ffef:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ffef:540::/28 | ffef:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ffef:550::/28 | ffef:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ffef:560::/28 | ffef:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ffef:570::/28 | ffef:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ffef:580::/28 | ffef:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ffef:590::/28 | ffef:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ffef:5a0::/28 | ffef:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ffef:5b0::/28 | ffef:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ffef:5c0::/28 | ffef:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ffef:5d0::/28 | ffef:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ffef:5e0::/28 | ffef:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ffef:5f0::/28 | ffef:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ffef:600::/28 | ffef:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ffef:610::/28 | ffef:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ffef:620::/28 | ffef:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ffef:630::/28 | ffef:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ffef:640::/28 | ffef:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ffef:650::/28 | ffef:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ffef:660::/28 | ffef:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ffef:670::/28 | ffef:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ffef:680::/28 | ffef:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ffef:690::/28 | ffef:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ffef:6a0::/28 | ffef:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ffef:6b0::/28 | ffef:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ffef:6c0::/28 | ffef:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ffef:6d0::/28 | ffef:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ffef:6e0::/28 | ffef:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ffef:6f0::/28 | ffef:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ffef:700::/28 | ffef:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ffef:710::/28 | ffef:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ffef:720::/28 | ffef:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ffef:730::/28 | ffef:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ffef:740::/28 | ffef:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ffef:750::/28 | ffef:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ffef:760::/28 | ffef:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ffef:770::/28 | ffef:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ffef:780::/28 | ffef:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ffef:790::/28 | ffef:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ffef:7a0::/28 | ffef:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ffef:7b0::/28 | ffef:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ffef:7c0::/28 | ffef:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ffef:7d0::/28 | ffef:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ffef:7e0::/28 | ffef:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ffef:7f0::/28 | ffef:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ffef:800::/28 | ffef:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ffef:810::/28 | ffef:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ffef:820::/28 | ffef:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ffef:830::/28 | ffef:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ffef:840::/28 | ffef:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ffef:850::/28 | ffef:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ffef:860::/28 | ffef:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ffef:870::/28 | ffef:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ffef:880::/28 | ffef:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ffef:890::/28 | ffef:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ffef:8a0::/28 | ffef:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ffef:8b0::/28 | ffef:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ffef:8c0::/28 | ffef:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ffef:8d0::/28 | ffef:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ffef:8e0::/28 | ffef:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ffef:8f0::/28 | ffef:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ffef:900::/28 | ffef:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ffef:910::/28 | ffef:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ffef:920::/28 | ffef:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ffef:930::/28 | ffef:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ffef:940::/28 | ffef:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ffef:950::/28 | ffef:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ffef:960::/28 | ffef:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ffef:970::/28 | ffef:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ffef:980::/28 | ffef:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ffef:990::/28 | ffef:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ffef:9a0::/28 | ffef:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ffef:9b0::/28 | ffef:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ffef:9c0::/28 | ffef:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ffef:9d0::/28 | ffef:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ffef:9e0::/28 | ffef:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ffef:9f0::/28 | ffef:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ffef:a00::/28 | ffef:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ffef:a10::/28 | ffef:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ffef:a20::/28 | ffef:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ffef:a30::/28 | ffef:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ffef:a40::/28 | ffef:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ffef:a50::/28 | ffef:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ffef:a60::/28 | ffef:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ffef:a70::/28 | ffef:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ffef:a80::/28 | ffef:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ffef:a90::/28 | ffef:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ffef:aa0::/28 | ffef:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ffef:ab0::/28 | ffef:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ffef:ac0::/28 | ffef:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ffef:ad0::/28 | ffef:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ffef:ae0::/28 | ffef:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ffef:af0::/28 | ffef:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ffef:b00::/28 | ffef:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ffef:b10::/28 | ffef:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ffef:b20::/28 | ffef:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ffef:b30::/28 | ffef:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ffef:b40::/28 | ffef:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ffef:b50::/28 | ffef:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ffef:b60::/28 | ffef:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ffef:b70::/28 | ffef:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ffef:b80::/28 | ffef:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ffef:b90::/28 | ffef:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ffef:ba0::/28 | ffef:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ffef:bb0::/28 | ffef:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ffef:bc0::/28 | ffef:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ffef:bd0::/28 | ffef:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ffef:be0::/28 | ffef:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ffef:bf0::/28 | ffef:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ffef:c00::/28 | ffef:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ffef:c10::/28 | ffef:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ffef:c20::/28 | ffef:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ffef:c30::/28 | ffef:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ffef:c40::/28 | ffef:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ffef:c50::/28 | ffef:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ffef:c60::/28 | ffef:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ffef:c70::/28 | ffef:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ffef:c80::/28 | ffef:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ffef:c90::/28 | ffef:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ffef:ca0::/28 | ffef:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ffef:cb0::/28 | ffef:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ffef:cc0::/28 | ffef:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ffef:cd0::/28 | ffef:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ffef:ce0::/28 | ffef:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ffef:cf0::/28 | ffef:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ffef:d00::/28 | ffef:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ffef:d10::/28 | ffef:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ffef:d20::/28 | ffef:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ffef:d30::/28 | ffef:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ffef:d40::/28 | ffef:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ffef:d50::/28 | ffef:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ffef:d60::/28 | ffef:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ffef:d70::/28 | ffef:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ffef:d80::/28 | ffef:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ffef:d90::/28 | ffef:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ffef:da0::/28 | ffef:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ffef:db0::/28 | ffef:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ffef:dc0::/28 | ffef:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ffef:dd0::/28 | ffef:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ffef:de0::/28 | ffef:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ffef:df0::/28 | ffef:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ffef:e00::/28 | ffef:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ffef:e10::/28 | ffef:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ffef:e20::/28 | ffef:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ffef:e30::/28 | ffef:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ffef:e40::/28 | ffef:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ffef:e50::/28 | ffef:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ffef:e60::/28 | ffef:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ffef:e70::/28 | ffef:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ffef:e80::/28 | ffef:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ffef:e90::/28 | ffef:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ffef:ea0::/28 | ffef:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ffef:eb0::/28 | ffef:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ffef:ec0::/28 | ffef:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ffef:ed0::/28 | ffef:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ffef:ee0::/28 | ffef:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ffef:ef0::/28 | ffef:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ffef:f00::/28 | ffef:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ffef:f10::/28 | ffef:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ffef:f20::/28 | ffef:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ffef:f30::/28 | ffef:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ffef:f40::/28 | ffef:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ffef:f50::/28 | ffef:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ffef:f60::/28 | ffef:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ffef:f70::/28 | ffef:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ffef:f80::/28 | ffef:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ffef:f90::/28 | ffef:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ffef:fa0::/28 | ffef:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ffef:fb0::/28 | ffef:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ffef:fc0::/28 | ffef:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ffef:fd0::/28 | ffef:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ffef:fe0::/28 | ffef:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ffef:ff0::/28 | ffef:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |